|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.commons.CmsCopy
public class CmsCopy
Provides methods for the copy resources dialog.
The following files use this class:
| Field Summary | |
|---|---|
static int |
ACTION_COPY
Value for the action: copy the resource. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_KEEPRIGHTS
Request parameter name for the keep rights flag. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsCopy(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsCopy(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionCopy()
Performs the copy action, will be called by the JSP page. |
String |
buildRadioCopyMode()
Builds the input radio buttons to select between preserving links or creating new resources when copying. |
String |
getParamCopymode()
Returns the value of the copymode parameter. |
String |
getParamKeeprights()
Returns the value of the keeprights parameter. |
String |
getParamTarget()
Returns the value of the target parameter, or null if this parameter was not provided. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setParamCopymode(String value)
Sets the value of the copymode parameter. |
void |
setParamKeeprights(String value)
Sets the value of the "keeprights" parameter. |
void |
setParamTarget(String value)
Sets the value of the target parameter. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final int ACTION_COPY
public static final String DIALOG_TYPE
public static final String PARAM_KEEPRIGHTS
| Constructor Detail |
|---|
public CmsCopy(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsCopy(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public void actionCopy()
throws JspException
JspException - if problems including sub-elements occurpublic String buildRadioCopyMode()
public String getParamCopymode()
public String getParamKeeprights()
public String getParamTarget()
The target parameter selects the target name of the operation.
public void setParamCopymode(String value)
value - the value of the copymode parameterpublic void setParamKeeprights(String value)
value - the value of the "keeprights" parameterpublic void setParamTarget(String value)
value - the value to set
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||